NOTICE(1)

NAME
notice - a utility for writing license notices to source files.

SYNOPSIS
notice [OPTION...] [FILE...]

DESCRIPTION
The notice command is a simple way to add a boilerplate to a set of source-code files. It is a wrapper script for the licensing program.

EXAMPLES

The notice command is most often used like so:

    $ licensing notice -c 'Yoyo, Inc. 2001' -l gpl -s c -n *.[ch]
    apply: foo.c -> Boilerplate applied.
    apply: bar.c -> Boilerplate applied.
    apply: qux.c -> Boilerplate applied.
    apply: foo.h -> Boilerplate applied.

This example applies the license notice for the latest version of the GPL in the C-commenting style to all of the .c and .h files in the current directory.  The copyright holder is Yoyo, Inc, in the year 2001.

OPTIONS

-n  Don't retain .bak backup files.

-c NAME-AND-YEAR
    Specify the copyright holder and years. The syntax for copyright years allows for years separated by a comma, and also ranges of years separated by a hyphen. In most shells, the argument for this option must be enclosed in single quotes.

-l LICENSE
    Specify the license notice to apply to the source-code files. The supported licenses are: gpl, gplv3+, gplv3, gplv2+, gplv2, gplv1+, gplv1, lgpl, lgplv3+, lgplv3, lgplv2+, lgplv2, lgplv1+, lgplv1, agpl, agplv3+, agplv3, fdl, fdlv13+, fdlv13, fdlv12+, fdlv12, fdlv11+, fdlv11, all-permissive, bsd, bsd3clause, bsd2clause, apache, apachev2, mit, isc, mpl, mplv2, mplv1.1 and openbsd.

-s COMMENTING-STYLE
    Specify the commenting style. The supported commenting styles are: c, c++, shell, scheme, texinfo, latex, m4, haskell, groff, gettext, fortran, and pascal.

-?, --help
    Give a list the available options.

REPORTING BUGS
Report bugs to <https://sv.nongnu.org/bugs/?group=licenseutils>.

SEE ALSO
The full documentation for notice is maintained as a Texinfo manual. If the info and licensing programs are properly installed at your site, the command

    info licenseutils notice

will give you access to the complete documentation for the notice command.